<%@ Control Language="vb" AutoEventWireup="false" Inherits="DotNetNuke.Modules.DreamSlider.EditContent" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="Portal" TagName="URL" Src="~/controls/URLControl.ascx" %>
<%@ Register TagPrefix="DotNetNuke" TagName="Label" Src="Controls/labelcontrol.ascx" %>
<%@ Register Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls" TagPrefix="cc1" %>

<asp:Literal ID="ActiveTab" runat="server"></asp:Literal>
<br />

<div class="tabsdefaultdefault">
<div id="TabsAdminWrapper">
<ul id="TabsAdmin">
<li><a href="#TabSettings"><asp:Label ID="lblTabSettings" runat="server" resourcekey="TabSettings" Text="Settings"></asp:Label></a></li>
<li><a href="#TabImages"><asp:Label ID="lblTabImages" runat="server" resourcekey="TabImages" Text="Images"></asp:Label></a></li>
<li><a href="#TabContent"><asp:Label ID="lblTabContent" runat="server" resourcekey="TabContent" Text="Content"></asp:Label></a></li>
<li><a href="#TabModules"><asp:Label ID="lblTabModules" runat="server" resourcekey="TabModules" Text="Modules"></asp:Label></a></li>
<li><a href="#TabMediaPlayer"><asp:Label ID="lblTabMediaPlayer" runat="server" resourcekey="TabMediaPlayer" Text="Media Player"></asp:Label></a></li>
<li><a href="#TabTooltip"><asp:Label ID="lblTabTooltip" runat="server" resourcekey="TabTooltip" Text="Tooltip"></asp:Label></a></li>
<li><a href="#TabSearch"><asp:Label ID="lblTabSearch" runat="server" resourcekey="TabSearch" Text="Search"></asp:Label></a></li>
</ul>

<div id="TabSettings">  
    <table style="width: 100%;" cellspacing="2" cellpadding="2" class="normal">
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
               <DotNetNuke:Label ID="plIsEnabled" runat="server" Text="Is Enabled" HelpText="Select this option to make this slide be availble for the users of the site. You can use this option to suppress slide that you might wish to show at a later time." Suffix=":" />
            </td>
            <td>
                <asp:CheckBox ID="cbIsEnabled" runat="server" Checked="true"/>
            </td>
        </tr>
        <tr>
            <td>
              <DotNetNuke:Label ID="plShowIntrotext" runat="server" Text="ShowIntrotext" HelpText="In case you want the Introtext of this slide not to be displayed, uncheck next checkbox. Moreover, if you dont want the Introtext of any slides to be shown, choose NO from the Settings tab in this control panel." Suffix=":" />
            </td>
            <td>
              <asp:CheckBox ID="cbShowIntrotext" runat="server" Checked="true"/>
            </td>
        </tr>
        <tr>
            <td>
               <DotNetNuke:Label ID="plMode" runat="server" Text="Mode" HelpText="Specify the Mode of the slide:<ul><li><i>Image</i>:if you want to display an image, choose this option</li><li><i>Content/ HTML</i>:if you want to display the content, available module in the portal or in case you want to combine these two in a slide, choose this option</li><li><i>Media (flv, mp3, mp4)</i>:choose this option if you are willing to play a clip or sound</li></ul><br />It should be noted that you can, by editing the template of the slide show and using the available tokens for each item, arrange the way in which you want to have your slide show." Suffix=":" />
            </td>
            <td>
                <asp:DropDownList ID="ddlMode" runat="server" CssClass="DS-Textbox normal" Width="150px">
                <asp:ListItem Value="0" resourcekey="opt_Image" Selected="True">Image</asp:ListItem>
                <asp:ListItem Value="1" resourcekey="opt_Content_Module">Content / Module</asp:ListItem>
                <asp:ListItem Value="2" resourcekey="opt_Media">Media (flv/mp3/mp4)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plLocale" runat="server" Text="Locale" HelpText="Choose the language in which you will to play your slide show. If you choose the option all languages the slide will be displayed in all languages." Suffix=":" />
            </td>
            <td>
                <asp:DropDownList ID="ddlLocale" runat="server" CssClass="DS-Textbox normal" Width="150px">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plStartDate" runat="server" Suffix=":" Text="Start Date" HelpText="Specify the date at which the slide show will be displayed. Besides that, you can decide on the time at which the slide show starts. To resolve the time difference of the server, set the target time zone in the settings tab." />
            </td>
            <td>
                <table style="padding: 0px; margin: 0px; border: 0px;" cellpadding="0" cellspacing="0">
                    <tr>
                        <td>
                            <asp:TextBox ID="txtStartDate" CssClass="DS-Textbox" runat="server" Width="150" MaxLength="15"></asp:TextBox>&nbsp;
                        </td>
                        <td>
                            <asp:HyperLink ID="cmdStartDate" CssClass="CommandButton" runat="server"><asp:Image ID="imgStartDate" runat="server"/></asp:HyperLink>
                        </td>
                        <td>
                            <asp:CompareValidator ID="valStartDate" CssClass="NormalRed" runat="server" ControlToValidate="txtStartDate" ErrorMessage="Invalid start date!" Operator="DataTypeCheck" Type="Date" Display="Dynamic">*</asp:CompareValidator>
                        </td>
                        <td>
                            &nbsp;&nbsp;@
                        </td>
                        <td>
                            &nbsp;&nbsp;<asp:TextBox ID="txtStartHour" runat="Server" MaxLength="2" CssClass="DS-Textbox" Width="25px" />
                        </td>
                        <td>
                            &nbsp;:&nbsp;<asp:TextBox ID="txtStartMinute" runat="Server" MaxLength="2" CssClass="DS-Textbox" Width="25px" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plEndDate" runat="server" Suffix=":" Text="End Date" HelpText="Specify the date in which the slide show will stop displaying. Besides that, you can decide on the time at which the slide show ends. To resolve the time difference of the server, set the target time zone in the settings tab." />
            </td>
            <td>
                <table style="padding: 0px; margin: 0px; border: 0px;" cellpadding="0" cellspacing="0">
                    <tr>
                        <td>
                            <asp:TextBox ID="txtEndDate" runat="server" CssClass="DS-Textbox" Width="150" MaxLength="15"></asp:TextBox>&nbsp;
                        </td>
                        <td>
                            <asp:HyperLink ID="cmdEndDate" CssClass="CommandButton" runat="server"><asp:Image ID="imgEndDate" runat="server"/></asp:HyperLink></td>
                        <td>
                            <asp:CompareValidator ID="valEndDate" CssClass="NormalRed" runat="server" ControlToValidate="txtEndDate" ErrorMessage="Invalid End date!" Operator="DataTypeCheck" Type="Date" Display="Dynamic">*</asp:CompareValidator>
                        </td>
                        <td>
                            &nbsp;&nbsp;@
                        </td>
                        <td>
                            &nbsp;&nbsp;<asp:TextBox ID="txtEndHour" runat="Server" MaxLength="2" CssClass="DS-Textbox" Width="25px" />
                        </td>
                        <td>
                            &nbsp;:&nbsp;<asp:TextBox ID="txtEndMinute" runat="Server" MaxLength="2" CssClass="DS-Textbox" Width="25px" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plTitle" runat="server" Suffix=":" Text="Title" HelpText="Choose a title for this slide. Noticing that value of this field is already accessible as a token in the template, you can display this value in any part of the slide show." />                
            </td>
            <td>
                <asp:TextBox ID="txtTitle" EnableViewState="false" CssClass="DS-Textbox" Width="400" runat="server" />                                        
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plSubtitle" runat="server" Text="Subtitle" HelpText="Specify a Subtitle for this slide. Noticing that the value of this field is already accessible as a token in the template, you can display this value in any part of the slide show." Suffix=":" />
            </td>
            <td>
                <asp:TextBox ID="txtSubtitle" runat="server" EnableViewState="false" CssClass="DS-TextArea" Width="400" TextMode="MultiLine" Rows="2" />                                        
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plDescription" runat="server" Text="Description" HelpText="Enter some descriptions for this slide. Noticing that the value of this field is already accessible as a token in the template, you can display this value in any part of the slide show." Suffix=":" />
            </td>
            <td>
                <asp:TextBox ID="txtDescription" runat="server" EnableViewState="false" CssClass="DS-TextArea" Width="400" TextMode="MultiLine" Rows="4"  />
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plBreakline" runat="server" Text="Breakline" HelpText="Optionally specify breakline html" Suffix=":" />
            </td>
            <td>
                <asp:TextBox ID="txtBreakline" runat="server" EnableViewState="false" CssClass="DS-TextArea" Width="400" TextMode="MultiLine" Rows="2" />                                        
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plPermissions" runat="server" Text="Permissions" HelpText="Specify the roles that can access this slide." />
            </td>
            <td>
                <asp:CheckBoxList ID="cblPermissions" runat="server" Width="400" CssClass="DS-RadioButton" RepeatLayout="Table" RepeatDirection="Horizontal" RepeatColumns="3">
                </asp:CheckBoxList>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plLink" runat="server" Text="Link" HelpText="Use this option in order to link this slide to an external source, a page in a portal, or a file." Suffix=":" />
            </td>
            <td class="ctlURL">
                <Portal:URL ID="ctlURL" runat="server" Width="300" ShowNewWindow="True" ShowLog="false" ShowTrack="false" ShowUsers="false" ShowFiles="true" ShowNone="true" />
            </td>
        </tr>
    </table>
</div>

<div id="TabImages">

    <table cellpadding="0" cellspacing="0" style="width: 100%;" class="normal">
        <tr>
            <td colspan="3">&nbsp;</td>
        </tr>
        <tr>
            <td rowspan="3" style="width:120px;">
                <DotNetNuke:Label ID="plImage" runat="server" Text="Image" HelpText="You can determine the image of the slide through 3 methods:<ul><li><i>Select Image</i>:By choosing the first option and clicking on the browse button, choose an existing image</li><li><i>Upload Image</i>:If the image is on your local machine, by choosing the second option, move it to the server</li><li><i>Add Image URL</i>:If the image has been saved on another server, by simply choosing the third option, enter the destination address</li></ul>" Suffix=":"/>
            </td>
            <td style="width:400px;vertical-align:bottom;">
                <asp:RadioButtonList ID="rblImageSource" runat="server" AutoPostBack="True" RepeatDirection="Horizontal"  CssClass="DS-RadioButton">
                    <asp:ListItem Value="1" resourcekey="opt_SelectUploadImage" Selected="True">Select/Upload Image</asp:ListItem>
                    <asp:ListItem Value="3" resourcekey="opt_AddImageURL">Add Image URL</asp:ListItem>
                </asp:RadioButtonList>
            </td>
            <td rowspan="4" style="width:134px;">
                <div class="Image-Holder">
                    <asp:Image ID="ImageHolder" runat="server" />
                    <div class="Image-Crop"> 
                        <asp:ImageButton ID="cmdImageCropper" runat="server" AlternateText="Crop Image"/>
                    </div>
                    <div class="Crop-Image"> 
                        &nbsp;
                    </div>
                </div>
            </td>
        </tr>
        <tr id="trExistImage" runat="server">
            <td>
                <table cellpadding="0" cellspacing="0" style="width: 100%;border:none;">
                    <tr>
                        <td style="width: 325px;">
                            <asp:TextBox ID="txtExistImage" runat="server" CssClass="DS-Textbox" Width="320px" />
                        </td>
                        <td style="width: 75px;text-align: center;">
                            <asp:LinkButton ID="bBrowseImage" runat="server" CssClass="Browse" Text="Browse" />
                        </td>
                    </tr>                                       
                </table>
             </td>
        </tr>
        <tr id="trUploadImage" runat="server" visible="false">
            <td>
                <asp:FileUpload ID="fuUploadImage" runat="server" CssClass="DS-Textbox" Width="405px"/>
            </td>
        </tr>
        <tr id="trAddImageURL" runat="server" visible="false">
            <td>
                <asp:TextBox ID="txtAddImageURL" runat="server" CssClass="DS-Textbox" Width="400px" />
            </td>   
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblImageErrorMessage" runat="server" Text="" ForeColor="Red" Font-Names="Tahoma" Font-Bold="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td style="vertical-align:top">
                <DotNetNuke:Label ID="plImageAlt" runat="server" Suffix=":" Text="Image Alt" HelpText="Enter an alternate text to be displayed by browsers that are not able to display this image" />
            </td>
            <td style="vertical-align:top">
                <asp:TextBox ID="txtImageAlt" CssClass="DS-Textbox" Width="400px" runat="server" />
            </td>
        </tr>
        <tr>
            <td colspan="3">&nbsp;</td>
        </tr>
    </table>
    
    <table cellpadding="0" cellspacing="0" style="width: 100%;" class="normal">
        <tr>
            <td colspan="3">&nbsp;</td>            
        </tr>
        <tr>
            <td rowspan="3" style="width:120px;">
                <DotNetNuke:Label ID="plThumbnail" runat="server" Text="Thumbnail/Icon" HelpText="You can determine another image (used as Thumbnail/Icon) of the slide through 3 methods:<ul><li><i>Select Image</i>:By choosing the first option and clicking on the browse button, choose an existing image</li><li><i>Upload Image</i>:If the image is on your local machine, by choosing the second option, move it to the server</li><li><i>Add Image URL</i>:If the image has been saved on another server, by simply choosing the third option, enter the destination address</li></ul>" Suffix=":"/>
            </td>
            <td style="width:400px;vertical-align:bottom;">
                <asp:RadioButtonList ID="rblThumbnailSource" runat="server" AutoPostBack="True" RepeatDirection="Horizontal"  CssClass="DS-RadioButton">
                    <asp:ListItem Value="1" resourcekey="opt_SelectUploadImage" Selected="True">Select/Upload Image</asp:ListItem>
                    <asp:ListItem Value="3" resourcekey="opt_AddImageURL">Add Image URL</asp:ListItem>
                </asp:RadioButtonList>
            </td>
            <td rowspan="4" style="width:134px;">
                <div class="Image-Holder">
                    <asp:Image ID="ThumbnailHolder" runat="server" />
                    <div class="Image-Crop"> 
                        <asp:ImageButton ID="cmdThumbnailCropper" runat="server" AlternateText="Crop Image"/>
                    </div>
                </div>
            </td>
        </tr>
        <tr id="trExistThumbnail" runat="server">
            <td>
                <table cellpadding="0" cellspacing="0" style="width: 100%;border:none;">
                    <tr>
                        <td style="width: 325px;">
                            <asp:TextBox ID="txtExistThumbnail" runat="server" CssClass="DS-Textbox" Width="320px" />
                        </td>
                        <td style="width: 75px;text-align: center;">
                            <asp:LinkButton ID="bBrowseThumbnail" runat="server" CssClass="Browse" Text="Browse" />
                        </td>
                    </tr>                                       
                </table>
             </td>
        </tr>
        <tr id="trUploadThumbnail" runat="server" visible="false">
            <td>
                <asp:FileUpload ID="fuUploadThumbnail" runat="server" CssClass="DS-Textbox"  Width="405px"/>
            </td>
        </tr>
        <tr id="trAddThumbnailURL" runat="server" visible="false">
            <td>
                <asp:TextBox ID="txtAddThumbnailURL" runat="server" CssClass="DS-Textbox" Width="400px" />
            </td>   
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblThumbnailErrorMessage" runat="server" Text="" ForeColor="Red" Font-Names="Tahoma" Font-Bold="true"></asp:Label>
            </td>   
        </tr>
        <tr>
            <td style="vertical-align:top">
                <DotNetNuke:Label ID="plThumbnailAlt" runat="server" Suffix=":" Text="Thumbnail Alt" HelpText="Enter an alternate text to be displayed by browsers that are not able to display this image" />
            </td>
            <td style="vertical-align:top">
                <asp:TextBox ID="txtThumbnailAlt" CssClass="DS-Textbox" Width="400px" runat="server" />                                        
            </td>
        </tr>
        <tr>
            <td colspan="3">&nbsp;</td>            
        </tr>
    </table>

</div>

<div id="TabContent">
  
     <table style="width: 100%;" class="normal">
        <tr>
            <td style="width:130px">&nbsp;</td>
            <td style="width:500px">&nbsp;</td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plShowContent" runat="server" Suffix=":" Text="Show Content" HelpText="Allows you to show content (text/html) within a slide. Choose Content / Module mode from Settings tab and then check the box and type your content in text editor." />
            </td>
            <td>
                <asp:CheckBox ID="cbShowContent" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plWrapModules" runat="server" Suffix=":" Text="Wrap Modules" HelpText="Allows you to wrap modules within the content (text/html) instead of showing them in stacking manner (one below another)." />
            </td>
            <td>
                <asp:CheckBox ID="cbWrapModules" runat="server"/>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
                <dnn:TextEditor id="txtContent" runat="server" width="630px" height="400px"></dnn:TextEditor>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
    </table>

</div>

<div id="TabModules">  

    <table style="width: 100%;" class="normal">
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plPages" runat="server" Suffix=":" Text="Pages" HelpText="Select a page which has the module you would like to show in this slide." />
            </td>
            <td>
                <asp:DropDownList ID="ddlPages" runat="server" AutoPostBack="True" Width="300px" CssClass="DS-Textbox normal" >
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plModules" runat="server" Suffix=":" Text="Modules" HelpText="Select the module you would like to show in this tab and click Add link."/>
            </td>
            <td>
                <asp:DropDownList ID="ddlModules" runat="server" Width="300px" CssClass="DS-Textbox normal"></asp:DropDownList>
                &nbsp;<asp:ImageButton ID="ibAddModule" runat="server" resourcekey="ibAddModule" ImageUrl="~/images/add.gif" style="height: 16px" />
                <asp:LinkButton ID="bAddModule" runat="server" CssClass="CommandButton" resourcekey="bAddModule">Add</asp:LinkButton>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plSelectedModules" runat="server" Suffix=":"  Text="Selected Modules" HelpText="List of modules that are included in the slide. Use Up/Down arrow to change view order and Trash Icon to remove a module." />
            </td>
            <td>
                <table class="style1">
                    <tr>
                        <td rowspan="3">
                            <asp:ListBox ID="lbModules" runat="server" Width="300px" AutoPostBack="True"  CssClass="DS-TextArea normal"></asp:ListBox>
                        </td>
                        <td>
                            <asp:ImageButton ID="ibModuleUp" runat="server" resourcekey="ibModuleUp" ImageUrl="~/images/action_up.gif"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:ImageButton ID="ibRemoveModule" runat="server" resourcekey="ibRemoveModule" ImageUrl="~/images/action_delete.gif"
                                style="height: 16px" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:ImageButton ID="ibModuleDown" runat="server" resourcekey="ibModuleDown" ImageUrl="~/images/action_down.gif"/>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plTagName" runat="server" Suffix=":" Text="Tag Name" HelpText="Each module can have a unique tag name used to Wrap Modules. <br />[TagName] is used within Content in Wrapper Mode." />
            </td>
            <td>
                <asp:TextBox ID="tbTagName" runat="server" Width="300px" CssClass="DS-Textbox normal"></asp:TextBox>
                &nbsp;<asp:ImageButton ID="ibUpdateTagName" runat="server" resourcekey="ibUpdateTagName" ImageUrl="~/images/save.gif" style="height: 16px" />
                <asp:LinkButton ID="bUpdateTagName" runat="server" resourcekey="bUpdateTagName" CssClass="CommandButton">Save</asp:LinkButton>
            </td>
        </tr>
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>
                <asp:Label ID="lblTangNameErrorMessage" runat="server" Text="" ForeColor="Red" Font-Names="Tahoma" Font-Bold="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
    </table>

</div>

<div id="TabMediaPlayer">

<table style="width: 100%;" cellspacing="0" cellpadding="0" class="normal">
    <tr>
        <td style="width: 630px;vertical-align:top;">
            <asp:Panel ID="Panel1" runat="server" GroupingText="#">
                <table style="width: 100%; border: 0;" cellspacing="0" cellpadding="0">
                    <tr>
                        <td style="width:10px;">&nbsp;</td>
                        <td style="width:610px;">

                            <table cellpadding="0" cellspacing="0" style="width: 100%;" class="normal">
                                <tr>
                                    <td rowspan="3" style="width:120px;">
                                        <div style="width:120px;">&nbsp;</div>
                                        <DotNetNuke:Label ID="plMedia" runat="server" Text="Media" HelpText="You can determine media through 3 methods. Allowed files are: .FLV, .MP4, .AAC, .MP3, .JPG, .GIF, .PNG: <ul><li><b>Select Media:</b> By choosing the first option and clicking on the browse button, choose an existing media</li><li><b>Upload Media:</b> If the Media is on your local machine, by choosing the second option, move it to the server</li><li><b>Add Media URL:</b> If the media has been saved on another server, by simply choosing the third option, enter the destination address. <br />To show <b>Youtube</b> movies, simply choose this option and enter page URL.</li></ul>" Suffix=":"/>
                                    </td>
                                    <td style="width:350px;vertical-align:bottom;">
                                        <asp:RadioButtonList ID="rblMediaSource" runat="server" AutoPostBack="True" RepeatDirection="Horizontal" CssClass="DS-RadioButton">
                                            <asp:ListItem Value="1" resourcekey="opt_SelectUploadMedia" Selected="True">Select/Upload Media</asp:ListItem>
                                            <asp:ListItem Value="3" resourcekey="opt_AddMediaURL">Add Media URL</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                    <td rowspan="3" style="width:134px;">
                                        <div class="Media-Holder">
                                            &nbsp;
                                        </div>
                                    </td>
                                </tr>
                                <tr id="trExistMedia" runat="server">
                                    <td>
                                        <table cellpadding="0" cellspacing="0" style="width: 100%;border:none;">
                                            <tr>
                                                <td style="width: 275px;">
                                                    <asp:TextBox ID="txtExistMedia" runat="server" CssClass="DS-Textbox" Width="275px" />
                                                </td>
                                                <td style="width: 75px;text-align: center;">
                                                    <asp:LinkButton ID="bBrowseMedia" runat="server" CssClass="Browse" Text="Browse" />
                                                </td>
                                            </tr>                                       
                                        </table>
                                     </td>
                                </tr>
                                <tr id="trUploadMedia" runat="server" visible="false">
                                    <td>
                                        <asp:FileUpload ID="fuUploadMedia" runat="server" CssClass="DS-Textbox"  Width="350px"/>
                                    </td>
                                </tr>
                                <tr id="trAddMediaURL" runat="server" visible="false">
                                    <td>
                                        <asp:TextBox ID="txtAddMediaURL" runat="server" CssClass="DS-Textbox" Width="350px" />
                                    </td>   
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblMediaErrorMessage" runat="server" Text="" ForeColor="Red" Font-Names="Tahoma" Font-Bold="true"></asp:Label>
                                    </td>   
                                </tr>
                            </table>

                            <table cellpadding="0" cellspacing="0" style="width: 100%;" class="normal">
                                <tr>
                                    <td rowspan="3" style="width:120px;">
                                        <DotNetNuke:Label ID="plPreviewImage" runat="server" Text="Preview Image" HelpText="You can determine a preview image of the media through 3 methods:<ul><li><i>Select Image</i>:By choosing the first option and clicking on the browse button, choose an existing image</li><li><i>Upload Image</i>:If the image is on your local machine, by choosing the second option, move it to the server</li><li><i>Add Image URL</i>:If the image has been saved on another server, by simply choosing the third option, enter the destination address</li></ul>" Suffix=":"/>
                                    </td>
                                    <td style="width:350px;vertical-align:bottom;">
                                        <asp:RadioButtonList ID="rblPreviewImageSource" runat="server" RepeatDirection="Horizontal" CssClass="DS-RadioButton" AutoPostBack="True">
                                            <asp:ListItem Value="1" resourcekey="opt_SelectUploadImage" Selected="True">Select/Upload Image</asp:ListItem>
                                            <asp:ListItem Value="3" resourcekey="opt_AddImageURL">Add Image URL</asp:ListItem>
                                        </asp:RadioButtonList>
                                    </td>
                                    <td rowspan="3" style="width:134px;">
                                        <div class="Image-Holder">
                                            <asp:Image ID="PreviewImageHolder" runat="server" />
                                            <div class="Image-Crop"> 
                                                <asp:ImageButton ID="cmdPreviewImageCropper" runat="server" AlternateText="Crop Image"/>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr id="trExistPreviewImage" runat="server">
                                    <td>
                                        <table cellpadding="0" cellspacing="0" style="width: 100%;border:none;">
                                            <tr>
                                                <td style="width: 275px;">
                                                    <asp:TextBox ID="txtExistPreviewImage" runat="server" CssClass="DS-Textbox" Width="275px" />
                                                </td>
                                                <td style="width: 75px;text-align: center;">
                                                    <asp:LinkButton ID="bBrowsePreviewImage" runat="server" CssClass="Browse" Text="Browse" />
                                                </td>
                                            </tr>                                       
                                        </table>
                                     </td>
                                </tr>
                                <tr id="trUploadPreviewImage" runat="server" visible="false">
                                    <td>
                                        <asp:FileUpload ID="fuUploadPreviewImage" runat="server" CssClass="DS-Textbox"  Width="350px"/>
                                    </td>
                                </tr>
                                <tr id="trAddPreviewImageURL" runat="server" visible="false">
                                    <td>
                                        <asp:TextBox ID="txtAddPreviewImageURL" runat="server" CssClass="DS-Textbox" Width="350px" />
                                    </td>   
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblPreviewImageErrorMessage" runat="server" Text="" ForeColor="Red" Font-Names="Tahoma" Font-Bold="true"></asp:Label>
                                    </td>   
                                </tr>
                            </table>

                        </td>    
                        <td style="width:10px;">&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                </table>                    
            </asp:Panel>
        </td>
    </tr>
</table>

<table style="width: 100%;" cellspacing="0" cellpadding="0" class="normal">
    <tr>
        <td style="width: 310px;vertical-align:top;">
            <asp:Panel ID="pnl2" runat="server" GroupingText="#">
                <table style="width: 100%; border: 0;" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width:10px;">&nbsp;</td>
                            <td style="width:300px">
                                <table style="width: 100%;" cellspacing="0" cellpadding="2" class="normal">
                                    <tr>
                                        <td style="width: 145px;">
                                            <DotNetNuke:Label ID="plMediaSkin" runat="server" Text="Skin" HelpText="Choose, among the 87 available skins for media player, the skin that changes player looks." Suffix=":" />
                                        </td>
                                        <td style="width: 155px;">
                                            <asp:DropDownList ID="ddlMediaSkin" runat="server" CssClass="DS-Textbox normal" width="100px"></asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaAutostart" runat="server" Text="Auto start" HelpText="Choose Yes to automatically start the player on load" Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlMediaAutostart" runat="server" CssClass="DS-Textbox normal" width="100px">
                                                <asp:ListItem resourcekey="opt_Yes" Value="true">Yes</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_No" Value="false" Selected="True">No</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaControlbar" runat="server" Text="Controlbar" HelpText="Choose the position of controlbar (default is bottom)." Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlMediaControlbar" runat="server" CssClass="DS-Textbox normal" width="100px">
                                                <asp:ListItem resourcekey="opt_Top" Value="top">Top</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Bottom" Value="bottom" Selected="True">Bottom</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Over" Value="over">Over</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_None" Value="none">None</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaRepeat" runat="server" Text="Repeat" HelpText="What to do when the media file has ended. Has several options:<ul><li><b>none:</b> do nothing (stop playback) whenever a file is completed</li><li><b>list:</b> play each file in the playlist once, stop at the end</li><li><b>always:</b> continuously play the file (or all files in the playlist)</li><li><b>single:</b> continuously repeat the current file in the playlist</li></ul>" Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlMediaRepeat" runat="server" CssClass="DS-Textbox normal" width="100px">
                                                <asp:ListItem resourcekey="opt_Always" Value="always">Always</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Single" Value="single">Single</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_List" Value="list">List</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_None" Value="none" Selected="True">None</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaStretching" runat="server" Text="Stretching" HelpText="Defines how to resize the poster image and video to fit the display. Can be:<ul><li><b>none:</b> keep the original dimensions </li><li><b>exactfit:</b> disproportionally stretch the video/image to exactly fit the display</li><li><b>uniform:</b> stretch the image/video while maintaining its aspect ratio. Borders will appear around the image/video</li><li><b>fill:</b> stretch the image/video while maintaining its aspect ratio, completely filling the display. This results in cropping the media</li></ul>" Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlMediaStretching" runat="server" CssClass="DS-Textbox normal" width="100px">
                                                <asp:ListItem resourcekey="opt_Fill" Value="fill">Fill</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Uniform" Value="uniform" Selected="True">Uniform</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Exactfit" Value="exactfit">Exactfit</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_None" Value="none">None</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
            </asp:Panel>
        </td>
        <td style="width:10px;">&nbsp;</td>
        <td style="width: 310px;vertical-align:top;">
            <asp:Panel ID="pnl3" runat="server" GroupingText="#">
                <table style="width: 100%; border: 0;" cellspacing="0" cellpadding="0">
                        <tr>
                            <td style="width:10px;">&nbsp;</td>
                            <td style="width:300px">
                                <table style="width: 100%;border:0;font: normal arial 12px;" cellspacing="0" cellpadding="2" class="normal">
                                    <tr>
                                        <td style="width: 145px;">
                                            <DotNetNuke:Label ID="plMediaVolume" runat="server" Text="Volume" HelpText="Startup volume of the player. Can be 0 to 100" Suffix=":"/>
                                        </td>
                                        <td style="width: 155px;">
                                            <asp:DropDownList ID="ddlMediaVolume" runat="server" CssClass="DS-Textbox normal" width="100px">
                                            <asp:ListItem Value="0">0</asp:ListItem>
                                            <asp:ListItem Value="10">10</asp:ListItem>
                                            <asp:ListItem Value="20">20</asp:ListItem>
                                            <asp:ListItem Value="30">30</asp:ListItem>
                                            <asp:ListItem Value="40">40</asp:ListItem>
                                            <asp:ListItem Value="50">50</asp:ListItem>
                                            <asp:ListItem Value="60">60</asp:ListItem>
                                            <asp:ListItem Value="70">70</asp:ListItem>
                                            <asp:ListItem Value="80">80</asp:ListItem>
                                            <asp:ListItem Value="90" Selected="True">90</asp:ListItem>
                                            <asp:ListItem Value="90">100</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaWmode" runat="server" Text="Wmode" HelpText="Specify window mode. Possible values:<ul><li><b>window:</b> plays in its own rectangular window on a web page</li><li><b>opaque:</b> hides everything on the page behind it</li><li><b>transparent:</b> sets the Flash ad background to be transparent. This allows the background color or image of the content page behind to show through. This is required for overlay (such as jQuery Overlay) contents to show above the Flash ad</li></ul>" Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="ddlMediaWmode" runat="server" CssClass="DS-Textbox normal" width="100px">
                                                <asp:ListItem resourcekey="opt_Window" Value="window">Window</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Opaque" Value="opaque" Selected="True">Opaque</asp:ListItem>
                                                <asp:ListItem resourcekey="opt_Transparent" Value="transparent">Transparent</asp:ListItem>
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaWidth" runat="server" Text="Width" HelpText="Enter, based on pixels, the width of the media. <br />By default, media width is same as slider width. Leave this field empty to fit the media width to slider width." Suffix=":"/>
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtMediaWidth" runat="server" class="DS-Textbox normal" Width="100px"></asp:TextBox>&nbsp;px&nbsp;
                                            <asp:RegularExpressionValidator ID="valtxtMediaWidth" runat="server" ControlToValidate="txtMediaWidth" ErrorMessage="Width Must Be A Valid Integer" ValidationExpression="^[1-9]+[0-9]*$">*</asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <DotNetNuke:Label ID="plMediaHeight" runat="server" Text="Height" HelpText="Enter, based on pixels, the height of the media. <br />By default, media height is same as slider height. Leave this field empty to fit the media height to slider height." Suffix=":" />
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtMediaHeight" runat="server" class="DS-Textbox normal" Width="100px"></asp:TextBox>&nbsp;px&nbsp;
                                            <asp:RegularExpressionValidator ID="valtxtMediaHeight" runat="server" ControlToValidate="txtMediaHeight" ErrorMessage="Height Must Be A Valid Integer" ValidationExpression="^[1-9]+[0-9]*$">*</asp:RegularExpressionValidator>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2"><div style="height:23px;">&nbsp;</div></td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
            </asp:Panel>
        </td>
    </tr>
</table>

</div>

<div id="TabTooltip">  
     <table style="width: 100%;" class="normal">
        <tr>
            <td style="width:130px">&nbsp;</td>
            <td style="width:500px">&nbsp;</td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plShowTooltip" runat="server" Suffix=":" Text="Show Tooltip" HelpText="Check this option to display Tooltip then use editor below to enter tooltip content. <br />The tooltip is a common graphical user interface element. It is used in conjunction with a cursor, usually a mouse pointer. The user hovers the cursor over an item, without clicking it, and a tooltip may appear, a small hover box with information about the item being hovered over." />
            </td>
            <td>
                <asp:CheckBox ID="cbShowTooltip" runat="server"/>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
          <td colspan="2">
            <dnn:TextEditor ID="txtTooltip" runat="server" Width="630px" Height="400px"></dnn:TextEditor>
          </td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
       </tr>
    </table>        
</div>

<div id="TabSearch">
    <table style="width: 100%;" class="normal">
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plSearchable" runat="server" Suffix=":" Text="Searchable" HelpText="When checked, the content on this slide will be indexed by DNN Search."/>
            </td>
            <td>
                <asp:CheckBox ID="cbSearchable" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <DotNetNuke:Label ID="plSearchSummary" runat="server" Text="Search Summary" HelpText="Enter search summary. Search summary is shown in search results."
                   />
            </td>
            <td>
                <asp:TextBox ID="txtSearchSummary" runat="server"  CssClass="DS-TextArea" Width="400"
                    TextMode="MultiLine" Rows="8"  />
            </td>
        </tr>
        <tr>
            <td style="width: 150px;">&nbsp;</td>
            <td>&nbsp;</td>
        </tr>
    </table>
</div>

</div>
</div>


<table cellpadding="0" cellspacing="0" border="0" width="100%" class="tblcontent normal">
    <tr>
        <td style="text-align: center; padding: 10px 0;" colspan="2">
            <asp:ValidationSummary ID="ValidationSummary1" DisplayMode="List" runat="server" />
        </td>
    </tr>
    <tr>
        <td colspan="2" style="width: 100%; text-align: center;">
            <asp:LinkButton ID="cmdUpdate" runat="server" resourcekey="cmdUpdate" Text="Update" CssClass="Update" />
            &nbsp;
            <asp:LinkButton ID="cmdReturn" runat="server" resourcekey="cmdReturn" Text="Return" CssClass="Return" />
        </td>
    </tr>
    <tr>
        <td colspan="2">&nbsp;</td>
    </tr>
</table>

<script language="javascript" type="text/javascript">
    /*globals jQuery, window, Sys */
    (function ($, Sys) {
        function setupTabs() {
            $('#TabsAdminWrapper').dnnTabs().dnnPanels();
            $("ul").removeClass("dnnAdminTabNav");
        }
        $(document).ready(function () {
            setupTabs();
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
                setupTabs();
            });
        });
    } (jQuery, window.Sys));
</script>